DNIPSchemaExtentions {2 16 840 1 113719 1 25} DEFINITIONS ::=
BEGIN                   

--attributeTypes: ( 2.16.840.1.113719.1.25.4.1.1 NAME 'dNIPSubnetAttr' SYNTAX 1.3.6.1.4.1.1466.115.121.1.12 X-NDS_NAME 'DNIP:Subnet Attr' )
"DNIP:Subnet Attr" ATTRIBUTE ::=
{
	SyntaxID SYN_DIST_NAME, 
	Flags {DS_SYNC_IMMEDIATE},
	ASN1ObjID {2 16 840 1 113719 1 25 4 1 1}
}

--attributeTypes: ( 2.16.840.1.113719.1.25.4.1.2 NAME 'dNIPDNSServers' SYNTAX 1.3.6.1.4.1.1466.115.121.1.12 X-NDS_NAME 'DNIP:DNSServers' )
"DNIP:DNSServers" ATTRIBUTE ::=
{
	SyntaxID SYN_DIST_NAME, 
	Flags {DS_SYNC_IMMEDIATE},
	ASN1ObjID {2 16 840 1 113719 1 25 4 1 2}
}

--attributeTypes: ( 2.16.840.1.113719.1.25.4.1.3 NAME 'dNIPDHCPServers' SYNTAX 1.3.6.1.4.1.1466.115.121.1.12 X-NDS_NAME 'DNIP:DHCPServers' )
"DNIP:DHCPServers" ATTRIBUTE ::=
{
	SyntaxID SYN_DIST_NAME, 
	Flags {DS_SYNC_IMMEDIATE},
	ASN1ObjID {2 16 840 1 113719 1 25 4 1 3}
}

--attributeTypes: ( 2.16.840.1.113719.1.25.4.1.4 NAME 'dNIPDNSZones' SYNTAX 1.3.6.1.4.1.1466.115.121.1.12 X-NDS_NAME 'DNIP:DNSZones' )
"DNIP:DNSZones" ATTRIBUTE ::=
{
	SyntaxID SYN_DIST_NAME, 
	Flags {DS_SYNC_IMMEDIATE},
	ASN1ObjID {2 16 840 1 113719 1 25 4 1 4}
}

--attributeTypes: ( 2.16.840.1.113719.1.25.4.1.5 NAME 'dNIPSubnetPoolList' SYNTAX 1.3.6.1.4.1.1466.115.121.1.12 X-NDS_NAME 'DNIP:Subnet Pool List' )
"DNIP:Subnet Pool List" ATTRIBUTE ::=
{
	SyntaxID SYN_DIST_NAME, 
	Flags {DS_SYNC_IMMEDIATE},
	ASN1ObjID {2 16 840 1 113719 1 25 4 1 5}
}

--attributeTypes: ( 2.16.840.1.113719.1.25.4.1.6 NAME 'dNIPConfigOptions' SYNTAX 1.3.6.1.4.1.1466.115.121.1.40{64512} SINGLE-VALUE X-NDS_NAME 'DNIP:Config Options' X-NDS_NOT_SCHED_SYNC_IMMEDIATE '1' )
"DNIP:Config Options" ATTRIBUTE ::=
{
	SyntaxID SYN_OCTET_STRING, 
	Flags {DS_SINGLE_VALUED_ATTR},
	ASN1ObjID {2 16 840 1 113719 1 25 4 1 6}
}

--attributeTypes: ( 2.16.840.1.113719.1.25.4.1.7 NAME 'dNIPBootParameter' SYNTAX 1.3.6.1.4.1.1466.115.121.1.40{64512} SINGLE-VALUE X-NDS_NAME 'DNIP:Boot Parameter' X-NDS_NOT_SCHED_SYNC_IMMEDIATE '1' )
"DNIP:Boot Parameter" ATTRIBUTE ::=
{
	SyntaxID SYN_OCTET_STRING, 
	Flags {DS_SINGLE_VALUED_ATTR},
	ASN1ObjID {2 16 840 1 113719 1 25 4 1 7}
}

--attributeTypes: ( 2.16.840.1.113719.1.25.4.1.8 NAME 'dNIPCfgPreferences' SYNTAX 1.3.6.1.4.1.1466.115.121.1.40{64512} X-NDS_NAME 'DNIP:CfgPreferences' X-NDS_NOT_SCHED_SYNC_IMMEDIATE '1' )
"DNIP:CfgPreferences" ATTRIBUTE ::=
{
	SyntaxID SYN_OCTET_STRING, 
	ASN1ObjID {2 16 840 1 113719 1 25 4 1 8}
}

--attributeTypes: ( 2.16.840.1.113719.1.25.4.1.9 NAME 'dNIPExcludedMAC' SYNTAX 1.3.6.1.4.1.1466.115.121.1.40{64512} X-NDS_NAME 'DNIP:Excluded MAC' )
"DNIP:Excluded MAC" ATTRIBUTE ::=
{
	SyntaxID SYN_OCTET_STRING, 
	Flags {DS_SYNC_IMMEDIATE},
	ASN1ObjID {2 16 840 1 113719 1 25 4 1 9}
}

--attributeTypes: ( 2.16.840.1.113719.1.25.4.1.80 NAME 'dNIPIncludedMAC' SYNTAX 1.3.6.1.4.1.1466.115.121.1.40{64512} X-NDS_NAME 'DNIP:Included MAC' )
"DNIP:Included MAC" ATTRIBUTE ::=
{
	SyntaxID SYN_OCTET_STRING, 
	Flags {DS_SYNC_IMMEDIATE},
	ASN1ObjID {2 16 840 1 113719 1 25 4 1 80}
}

--attributeTypes: ( 2.16.840.1.113719.1.25.4.1.10 NAME 'dNIPUISignature' SYNTAX 1.3.6.1.4.1.1466.115.121.1.40{64512} X-NDS_NAME 'DNIP:UI Signature' X-NDS_NOT_SCHED_SYNC_IMMEDIATE '1' )
"DNIP:UI Signature" ATTRIBUTE ::=
{
	SyntaxID SYN_OCTET_STRING, 
	ASN1ObjID {2 16 840 1 113719 1 25 4 1 10}
}

--attributeTypes: ( 2.16.840.1.113719.1.25.4.1.11 NAME 'dNIPGroupReference' SYNTAX 1.3.6.1.4.1.1466.115.121.1.12 SINGLE-VALUE X-NDS_NAME 'DNIP:Group Reference' X-NDS_NOT_SCHED_SYNC_IMMEDIATE '1' )
"DNIP:Group Reference" ATTRIBUTE ::=
{
	SyntaxID SYN_DIST_NAME, 
	Flags {DS_SINGLE_VALUED_ATTR},
	ASN1ObjID {2 16 840 1 113719 1 25 4 1 11}
}

--attributeTypes: ( 2.16.840.1.113719.1.25.4.1.12 NAME 'dNIPDHCPServerReference' SYNTAX 1.3.6.1.4.1.1466.115.121.1.12 SINGLE-VALUE X-NDS_NAME 'DNIP:DHCP Server Reference' X-NDS_NOT_SCHED_SYNC_IMMEDIATE '1' )
"DNIP:DHCP Server Reference" ATTRIBUTE ::=
{
	SyntaxID SYN_DIST_NAME, 
	Flags {DS_SINGLE_VALUED_ATTR},
	ASN1ObjID {2 16 840 1 113719 1 25 4 1 12}
}

--attributeTypes: ( 2.16.840.1.113719.1.25.4.1.13 NAME 'dNIPDNSServerReference' SYNTAX 1.3.6.1.4.1.1466.115.121.1.12 SINGLE-VALUE X-NDS_NAME 'DNIP:DNS Server Reference' X-NDS_NOT_SCHED_SYNC_IMMEDIATE '1' )
"DNIP:DNS Server Reference" ATTRIBUTE ::=
{
	SyntaxID SYN_DIST_NAME, 
	Flags {DS_SINGLE_VALUED_ATTR},
	ASN1ObjID {2 16 840 1 113719 1 25 4 1 13}
}

--attributeTypes: ( 2.16.840.1.113719.1.25.4.1.14 NAME 'dNIPLocatorPtr' SYNTAX 1.3.6.1.4.1.1466.115.121.1.12 SINGLE-VALUE X-NDS_NAME 'DNIP:LocatorPtr' X-NDS_NOT_SCHED_SYNC_IMMEDIATE '1' )
"DNIP:LocatorPtr" ATTRIBUTE ::=
{
	SyntaxID SYN_DIST_NAME, 
	Flags {DS_SINGLE_VALUED_ATTR},
	ASN1ObjID {2 16 840 1 113719 1 25 4 1 14}
}

--attributeTypes: ( 2.16.840.1.113719.1.25.4.1.15 NAME 'dNIPPingEnable' SYNTAX 1.3.6.1.4.1.1466.115.121.1.27 SINGLE-VALUE X-NDS_NAME 'DNIP:Ping Enable' )
"DNIP:Ping Enable" ATTRIBUTE ::=
{
	SyntaxID SYN_INTEGER,
	Flags {DS_SINGLE_VALUED_ATTR,DS_SYNC_IMMEDIATE},
	ASN1ObjID {2 16 840 1 113719 1 25 4 1 15}
}

--attributeTypes: ( 2.16.840.1.113719.1.25.4.1.16 NAME 'dNIPSecondaryServerIPAddress' SYNTAX 1.3.6.1.4.1.1466.115.121.1.40{64512} X-NDS_NAME 'DNIP:Secondary ServerIPAddress' )
"DNIP:Secondary ServerIPAddress" ATTRIBUTE ::=
{
	SyntaxID SYN_OCTET_STRING, 
	Flags {DS_SYNC_IMMEDIATE},
	ASN1ObjID {2 16 840 1 113719 1 25 4 1 16}
}

--attributeTypes: ( 2.16.840.1.113719.1.25.4.1.17 NAME 'dNIPFTUpdateInterval' SYNTAX 1.3.6.1.4.1.1466.115.121.1.27 SINGLE-VALUE X-NDS_NAME 'DNIP:FT Update Interval' X-NDS_NOT_SCHED_SYNC_IMMEDIATE '1' )
"DNIP:FT Update Interval" ATTRIBUTE ::=
{
	SyntaxID SYN_INTEGER,
	Flags {DS_SINGLE_VALUED_ATTR},
	ASN1ObjID {2 16 840 1 113719 1 25 4 1 17}
}

--attributeTypes: ( 2.16.840.1.113719.1.25.4.1.18 NAME 'dNIPFTSyncDelay' SYNTAX 1.3.6.1.4.1.1466.115.121.1.27 SINGLE-VALUE X-NDS_NAME 'DNIP:FT Sync Delay' X-NDS_NOT_SCHED_SYNC_IMMEDIATE '1' )
"DNIP:FT Sync Delay" ATTRIBUTE ::=
{
	SyntaxID SYN_INTEGER,
	Flags {DS_SINGLE_VALUED_ATTR},
	ASN1ObjID {2 16 840 1 113719 1 25 4 1 18}
}

--attributeTypes: ( 2.16.840.1.113719.1.25.4.1.19 NAME 'dNIPLeaseTime' SYNTAX 1.3.6.1.4.1.1466.115.121.1.27 SINGLE-VALUE X-NDS_NAME 'DNIP:Lease Time' X-NDS_NOT_SCHED_SYNC_IMMEDIATE '1' )
"DNIP:Lease Time" ATTRIBUTE ::=
{
	SyntaxID SYN_INTEGER,
	Flags {DS_SINGLE_VALUED_ATTR},
	ASN1ObjID {2 16 840 1 113719 1 25 4 1 19}
}

--attributeTypes: ( 2.16.840.1.113719.1.25.4.1.20 NAME 'dNIPDHCPVersion' SYNTAX 1.3.6.1.4.1.1466.115.121.1.27 SINGLE-VALUE X-NDS_NAME 'DNIP:DHCP Version' X-NDS_NOT_SCHED_SYNC_IMMEDIATE '1' )
"DNIP:DHCP Version" ATTRIBUTE ::=
{
	SyntaxID SYN_INTEGER,
	Flags {DS_SINGLE_VALUED_ATTR},
	ASN1ObjID {2 16 840 1 113719 1 25 4 1 20}
}

--attributeTypes: ( 2.16.840.1.113719.1.25.4.1.21 NAME 'dNIPPrimaryServerReference' SYNTAX 1.3.6.1.4.1.1466.115.121.1.12 SINGLE-VALUE X-NDS_NAME 'DNIP:Primary Server Reference' X-NDS_NOT_SCHED_SYNC_IMMEDIATE '1' )
"DNIP:Primary Server Reference" ATTRIBUTE ::=
{
	SyntaxID SYN_DIST_NAME, 
	Flags {DS_SINGLE_VALUED_ATTR},
	ASN1ObjID {2 16 840 1 113719 1 25 4 1 21}
}

--attributeTypes: ( 2.16.840.1.113719.1.25.4.1.22 NAME 'dNIPSecondaryServerReference' SYNTAX 1.3.6.1.4.1.1466.115.121.1.12 SINGLE-VALUE X-NDS_NAME 'DNIP:Secondary Server Reference' X-NDS_NOT_SCHED_SYNC_IMMEDIATE '1' )
"DNIP:Secondary Server Reference" ATTRIBUTE ::=
{
	SyntaxID SYN_DIST_NAME, 
	Flags {DS_SINGLE_VALUED_ATTR},
	ASN1ObjID {2 16 840 1 113719 1 25 4 1 22}
}

--attributeTypes: ( 2.16.840.1.113719.1.25.4.1.23 NAME 'dNIPSubnetAddressRangeAttr' SYNTAX 1.3.6.1.4.1.1466.115.121.1.12 X-NDS_NAME 'DNIP:Subnet Address Range Attr' X-NDS_NOT_SCHED_SYNC_IMMEDIATE '1' )
"DNIP:Subnet Address Range Attr" ATTRIBUTE ::=
{
	SyntaxID SYN_DIST_NAME, 
	ASN1ObjID {2 16 840 1 113719 1 25 4 1 23}
}

--attributeTypes: ( 2.16.840.1.113719.1.25.4.1.24 NAME 'dNIPFTAutomatic' SYNTAX 1.3.6.1.4.1.1466.115.121.1.7 SINGLE-VALUE X-NDS_NAME 'DNIP:FT Automatic' X-NDS_NOT_SCHED_SYNC_IMMEDIATE '1' )
"DNIP:FT Automatic" ATTRIBUTE ::=
{
	SyntaxID SYN_BOOLEAN,
	Flags {DS_SINGLE_VALUED_ATTR},
	ASN1ObjID {2 16 840 1 113719 1 25 4 1 24}
}

--attributeTypes: ( 2.16.840.1.113719.1.25.4.1.25 NAME 'dNIPPublicKey' SYNTAX 1.3.6.1.4.1.1466.115.121.1.40{64512} SINGLE-VALUE X-NDS_NAME 'DNIP:Public Key' )
"DNIP:Public Key" ATTRIBUTE ::=
{
	SyntaxID SYN_OCTET_STRING, 
	Flags {DS_SINGLE_VALUED_ATTR,DS_SYNC_IMMEDIATE},
	ASN1ObjID {2 16 840 1 113719 1 25 4 1 25}
}

--attributeTypes: ( 2.16.840.1.113719.1.25.4.1.26 NAME 'dNIPMessageID' SYNTAX 1.3.6.1.4.1.1466.115.121.1.27 SINGLE-VALUE X-NDS_NAME 'DNIP:Message ID' )
"DNIP:Message ID" ATTRIBUTE ::=
{
	SyntaxID SYN_INTEGER,
	Flags {DS_SINGLE_VALUED_ATTR,DS_SYNC_IMMEDIATE},
	ASN1ObjID {2 16 840 1 113719 1 25 4 1 26}
}

--attributeTypes: ( 2.16.840.1.113719.1.25.4.1.27 NAME 'dNIPAuditLevel' SYNTAX 1.3.6.1.4.1.1466.115.121.1.27 SINGLE-VALUE X-NDS_NAME 'DNIP:AuditLevel' )
"DNIP:AuditLevel" ATTRIBUTE ::=
{
	SyntaxID SYN_INTEGER,
	Flags {DS_SINGLE_VALUED_ATTR,DS_SYNC_IMMEDIATE},
	ASN1ObjID {2 16 840 1 113719 1 25 4 1 27}
}

--attributeTypes: ( 2.16.840.1.113719.1.25.4.1.28 NAME 'dNIPSNMPTrapFlag' SYNTAX 1.3.6.1.4.1.1466.115.121.1.27 SINGLE-VALUE X-NDS_NAME 'DNIP:SNMP Trap Flag' )
"DNIP:SNMP Trap Flag" ATTRIBUTE ::=
{
	SyntaxID SYN_INTEGER,
	Flags {DS_SINGLE_VALUED_ATTR,DS_SYNC_IMMEDIATE},
	ASN1ObjID {2 16 840 1 113719 1 25 4 1 28}
}

--attributeTypes: ( 2.16.840.1.113719.1.25.4.1.29 NAME 'dNIPServerIPAddress' SYNTAX 1.3.6.1.4.1.1466.115.121.1.40{64512} X-NDS_NAME 'DNIP:ServerIPAddress' )
"DNIP:ServerIPAddress" ATTRIBUTE ::=
{
	SyntaxID SYN_OCTET_STRING, 
	Flags {DS_SYNC_IMMEDIATE},
	ASN1ObjID {2 16 840 1 113719 1 25 4 1 29}
}

--attributeTypes: ( 2.16.840.1.113719.1.25.4.1.30 NAME 'dNIPNewAttrib' SYNTAX 1.3.6.1.4.1.1466.115.121.1.5 SINGLE-VALUE X-NDS_NAME 'DNIP:New Attrib' X-NDS_NOT_SCHED_SYNC_IMMEDIATE '1' )
"DNIP:New Attrib" ATTRIBUTE ::=
{
	SyntaxID SYN_STREAM, 
	Flags {DS_SINGLE_VALUED_ATTR},
	ASN1ObjID {2 16 840 1 113719 1 25 4 1 30}
}

--attributeTypes: ( 2.16.840.1.113719.1.25.4.1.31 NAME 'dNIPSubnetType' SYNTAX 1.3.6.1.4.1.1466.115.121.1.27 SINGLE-VALUE X-NDS_NAME 'DNIP:Subnet Type' X-NDS_NOT_SCHED_SYNC_IMMEDIATE '1' )
"DNIP:Subnet Type" ATTRIBUTE ::=
{
	SyntaxID SYN_INTEGER,
	Flags {DS_SINGLE_VALUED_ATTR},
	ASN1ObjID {2 16 840 1 113719 1 25 4 1 31}
}

--attributeTypes: ( 2.16.840.1.113719.1.25.4.1.32 NAME 'dNIPSubnetAddress' SYNTAX 1.3.6.1.4.1.1466.115.121.1.27 SINGLE-VALUE X-NDS_NAME 'DNIP:Subnet Address' X-NDS_NOT_SCHED_SYNC_IMMEDIATE '1' )
"DNIP:Subnet Address" ATTRIBUTE ::=
{
	SyntaxID SYN_INTEGER,
	Flags {DS_SINGLE_VALUED_ATTR},
	ASN1ObjID {2 16 840 1 113719 1 25 4 1 32}
}

--attributeTypes: ( 2.16.840.1.113719.1.25.4.1.33 NAME 'dNIPSubnetMask' SYNTAX 1.3.6.1.4.1.1466.115.121.1.27 SINGLE-VALUE X-NDS_NAME 'DNIP:Subnet Mask' X-NDS_NOT_SCHED_SYNC_IMMEDIATE '1' )
"DNIP:Subnet Mask" ATTRIBUTE ::=
{
	SyntaxID SYN_INTEGER,
	Flags {DS_SINGLE_VALUED_ATTR},
	ASN1ObjID {2 16 840 1 113719 1 25 4 1 33}
}

--attributeTypes: ( 2.16.840.1.113719.1.25.4.1.34 NAME 'dNIPZoneReference' SYNTAX 1.3.6.1.4.1.1466.115.121.1.12 X-NDS_NAME 'DNIP:Zone Reference' X-NDS_NOT_SCHED_SYNC_IMMEDIATE '1' )
"DNIP:Zone Reference" ATTRIBUTE ::=
{
	SyntaxID SYN_DIST_NAME, 
	ASN1ObjID {2 16 840 1 113719 1 25 4 1 34}
}

--attributeTypes: ( 2.16.840.1.113719.1.25.4.1.35 NAME 'dNIPSubnetPoolReference'SYNTAX 1.3.6.1.4.1.1466.115.121.1.12 SINGLE-VALUE X-NDS_NAME 'DNIP:Subnet Pool Reference' X-NDS_NOT_SCHED_SYNC_IMMEDIATE '1' )
"DNIP:Subnet Pool Reference" ATTRIBUTE ::=
{
	SyntaxID SYN_DIST_NAME, 
	Flags {DS_SINGLE_VALUED_ATTR},
	ASN1ObjID {2 16 840 1 113719 1 25 4 1 35}
}

--???attributeTypes: ( 2.16.840.1.113719.1.25.4.1.36 NAME 'dNIPDomainName' SYNTAX 1.3.6.1.4.1.1466.115.121.1.26{64512} SINGLE-VALUE X-NDS_NAME 'DNIP:Domain Name' X-NDS_NOT_SCHED_SYNC_IMMEDIATE '1' )
"DNIP:Domain Name" ATTRIBUTE ::=
{
	SyntaxID SYN_CE_STRING,
	Flags {DS_SINGLE_VALUED_ATTR},
	ASN1ObjID {2 16 840 1 113719 1 25 4 1 36}
}

--??attributeTypes: ( 2.16.840.1.113719.1.25.4.1.37 NAME 'dNIPAutoHostNameStart' SYNTAX 1.3.6.1.4.1.1466.115.121.1.26{64512} SINGLE-VALUE X-NDS_NAME 'DNIP:Auto Host Name Start' X-NDS_NOT_SCHED_SYNC_IMMEDIATE '1' )
"DNIP:Auto Host Name Start" ATTRIBUTE ::=
{
	SyntaxID SYN_CE_STRING,
	Flags {DS_SINGLE_VALUED_ATTR},
	ASN1ObjID {2 16 840 1 113719 1 25 4 1 37}
}

--attributeTypes: ( 2.16.840.1.113719.1.25.4.1.38 NAME 'dNIPStartAddressNumber' SYNTAX 1.3.6.1.4.1.1466.115.121.1.27 SINGLE-VALUE X-NDS_NAME 'DNIP:Start Address Number' X-NDS_NOT_SCHED_SYNC_IMMEDIATE '1' )
"DNIP:Start Address Number" ATTRIBUTE ::=
{
	SyntaxID SYN_INTEGER,
	Flags {DS_SINGLE_VALUED_ATTR},
	ASN1ObjID {2 16 840 1 113719 1 25 4 1 38}
}

--attributeTypes: ( 2.16.840.1.113719.1.25.4.1.39 NAME 'dNIPEndAddressNumber' SYNTAX 1.3.6.1.4.1.1466.115.121.1.27 SINGLE-VALUE X-NDS_NAME 'DNIP:End Address Number' X-NDS_NOT_SCHED_SYNC_IMMEDIATE '1' )
"DNIP:End Address Number" ATTRIBUTE ::=
{
	SyntaxID SYN_INTEGER,
	Flags {DS_SINGLE_VALUED_ATTR},
	ASN1ObjID {2 16 840 1 113719 1 25 4 1 39}
}

--attributeTypes: ( 2.16.840.1.113719.1.25.4.1.40 NAME 'dNIPDNSUpdateOption' SYNTAX 1.3.6.1.4.1.1466.115.121.1.27 SINGLE-VALUE X-NDS_NAME 'DNIP:DNS Update Option' X-NDS_NOT_SCHED_SYNC_IMMEDIATE '1' )
"DNIP:DNS Update Option" ATTRIBUTE ::=
{
	SyntaxID SYN_INTEGER, 
	Flags {DS_SINGLE_VALUED_ATTR},
	ASN1ObjID {2 16 840 1 113719 1 25 4 1 40}
}

--attributeTypes: ( 2.16.840.1.113719.1.25.4.1.41 NAME 'dNIPRangeType' SYNTAX 1.3.6.1.4.1.1466.115.121.1.27 SINGLE-VALUE X-NDS_NAME 'DNIP:Range Type' X-NDS_NOT_SCHED_SYNC_IMMEDIATE '1' )
"DNIP:Range Type" ATTRIBUTE ::=
{
	SyntaxID SYN_INTEGER,
	Flags {DS_SINGLE_VALUED_ATTR},
	ASN1ObjID {2 16 840 1 113719 1 25 4 1 41}
}

--attributeTypes: ( 2.16.840.1.113719.1.25.4.1.42 NAME 'dNIPAssignmentType' SYNTAX 1.3.6.1.4.1.1466.115.121.1.27 SINGLE-VALUE X-NDS_NAME 'DNIP:Assignment Type' X-NDS_NOT_SCHED_SYNC_IMMEDIATE '1' )
"DNIP:Assignment Type" ATTRIBUTE ::=
{
	SyntaxID SYN_INTEGER,
	Flags {DS_SINGLE_VALUED_ATTR},
	ASN1ObjID {2 16 840 1 113719 1 25 4 1 42}
}

--attributeTypes: ( 2.16.840.1.113719.1.25.4.1.43 NAME 'dNIPClientIdentifier' SYNTAX 1.3.6.1.4.1.1466.115.121.1.40{64512} SINGLE-VALUE X-NDS_NAME 'DNIP:Client Identifier' X-NDS_NOT_SCHED_SYNC_IMMEDIATE '1' )
"DNIP:Client Identifier" ATTRIBUTE ::=
{
	SyntaxID SYN_OCTET_STRING, 
	Flags {DS_SINGLE_VALUED_ATTR},
	ASN1ObjID {2 16 840 1 113719 1 25 4 1 43}
}

--attributeTypes: ( 2.16.840.1.113719.1.25.4.1.44 NAME 'dNIPAddressNumber' SYNTAX 1.3.6.1.4.1.1466.115.121.1.27 SINGLE-VALUE X-NDS_NAME 'DNIP:Address Number' X-NDS_NOT_SCHED_SYNC_IMMEDIATE '1' )
"DNIP:Address Number" ATTRIBUTE ::=
{
	SyntaxID SYN_INTEGER,
	Flags {DS_SINGLE_VALUED_ATTR},
	ASN1ObjID {2 16 840 1 113719 1 25 4 1 44}
}

--attributeTypes: ( 2.16.840.1.113719.1.25.4.1.45 NAME 'dNIPIPAssignmentPolicy' SYNTAX 1.3.6.1.4.1.1466.115.121.1.27 SINGLE-VALUE X-NDS_NAME 'DNIP:IP Assignment Policy' X-NDS_NOT_SCHED_SYNC_IMMEDIATE '1' )
"DNIP:IP Assignment Policy" ATTRIBUTE ::=
{
	SyntaxID SYN_INTEGER,
	Flags {DS_SINGLE_VALUED_ATTR},
	ASN1ObjID {2 16 840 1 113719 1 25 4 1 45}
}

--attributeTypes: ( 2.16.840.1.113719.1.25.4.1.46 NAME 'dNIPObjectReference' SYNTAX 1.3.6.1.4.1.1466.115.121.1.12 SINGLE-VALUE X-NDS_NAME 'DNIP:Object Reference' X-NDS_NOT_SCHED_SYNC_IMMEDIATE '1' )
"DNIP:Object Reference" ATTRIBUTE ::=
{
	SyntaxID SYN_DIST_NAME, 
	Flags {DS_SINGLE_VALUED_ATTR},
	ASN1ObjID {2 16 840 1 113719 1 25 4 1 46}
}

--??attributeTypes: ( 2.16.840.1.113719.1.25.4.1.47 NAME 'dNIPHostName' SYNTAX 1.3.6.1.4.1.1466.115.121.1.26{64512} SINGLE-VALUE X-NDS_NAME 'DNIP:Host Name' X-NDS_NOT_SCHED_SYNC_IMMEDIATE '1' )
"DNIP:Host Name" ATTRIBUTE ::=
{
	SyntaxID SYN_CE_STRING,
	Flags {DS_SINGLE_VALUED_ATTR},
	ASN1ObjID {2 16 840 1 113719 1 25 4 1 47}
}

--attributeTypes: ( 2.16.840.1.113719.1.25.4.1.48 NAME 'dNIPLastUsed' SYNTAX 1.3.6.1.4.1.1466.115.121.1.24 SINGLE-VALUE X-NDS_NAME 'DNIP:Last Used' X-NDS_NOT_SCHED_SYNC_IMMEDIATE '1' )
"DNIP:Last Used" ATTRIBUTE ::=
{
	SyntaxID SYN_TIME,
	Flags {DS_SINGLE_VALUED_ATTR},
	ASN1ObjID {2 16 840 1 113719 1 25 4 1 48}
}

--attributeTypes: ( 2.16.840.1.113719.1.25.4.1.49 NAME 'dNIPLeaseExpiration' SYNTAX 1.3.6.1.4.1.1466.115.121.1.24 SINGLE-VALUE X-NDS_NAME 'DNIP:Lease Expiration' X-NDS_NOT_SCHED_SYNC_IMMEDIATE '1' )
"DNIP:Lease Expiration" ATTRIBUTE ::=
{
	SyntaxID SYN_TIME,
	Flags {DS_SINGLE_VALUED_ATTR},
	ASN1ObjID {2 16 840 1 113719 1 25 4 1 49}
}

--attributeTypes: ( 2.16.840.1.113719.1.25.4.1.50 NAME 'dNIPFQDomainName' SYNTAX 1.3.6.1.4.1.1466.115.121.1.26{64512} SINGLE-VALUE X-NDS_NAME 'DNIP:FQ Domain Name' X-NDS_NOT_SCHED_SYNC_IMMEDIATE '1' )
"DNIP:FQ Domain Name" ATTRIBUTE ::=
{
	SyntaxID SYN_CE_STRING,
	Flags {DS_SINGLE_VALUED_ATTR},
	ASN1ObjID {2 16 840 1 113719 1 25 4 1 50}
}

--attributeTypes: ( 2.16.840.1.113719.1.25.4.1.51 NAME 'dNIPMACAddress' SYNTAX 1.3.6.1.4.1.1466.115.121.1.40{64512} SINGLE-VALUE X-NDS_NAME 'DNIP:MAC Address' )
"DNIP:MAC Address" ATTRIBUTE ::=
{
	SyntaxID SYN_OCTET_STRING, 
	Flags {DS_SINGLE_VALUED_ATTR,DS_SYNC_IMMEDIATE},
	ASN1ObjID {2 16 840 1 113719 1 25 4 1 51}
}

--attributeTypes: ( 2.16.840.1.113719.1.25.4.1.52 NAME 'dNIPSOAExpire' SYNTAX 1.3.6.1.4.1.1466.115.121.1.27 SINGLE-VALUE X-NDS_NAME 'DNIP:SOA Expire' )
"DNIP:SOA Expire" ATTRIBUTE ::=
{
	SyntaxID SYN_INTEGER,
	Flags {DS_SINGLE_VALUED_ATTR,DS_SYNC_IMMEDIATE},
	ASN1ObjID {2 16 840 1 113719 1 25 4 1 52}
}

--attributeTypes: ( 2.16.840.1.113719.1.25.4.1.53 NAME 'dNIPSOAMinimum' SYNTAX 1.3.6.1.4.1.1466.115.121.1.27 SINGLE-VALUE X-NDS_NAME 'DNIP:SOA Minimum' )
"DNIP:SOA Minimum" ATTRIBUTE ::=
{
	SyntaxID SYN_INTEGER,
	Flags {DS_SINGLE_VALUED_ATTR,DS_SYNC_IMMEDIATE},
	ASN1ObjID {2 16 840 1 113719 1 25 4 1 53}
}

--attributeTypes: ( 2.16.840.1.113719.1.25.4.1.54 NAME 'dNIPSOARefresh' SYNTAX 1.3.6.1.4.1.1466.115.121.1.27 SINGLE-VALUE X-NDS_NAME 'DNIP:SOA Refresh' )
"DNIP:SOA Refresh" ATTRIBUTE ::=
{
	SyntaxID SYN_INTEGER,
	Flags {DS_SINGLE_VALUED_ATTR,DS_SYNC_IMMEDIATE},
	ASN1ObjID {2 16 840 1 113719 1 25 4 1 54}
}

--attributeTypes: ( 2.16.840.1.113719.1.25.4.1.55 NAME 'dNIPSOARetry' SYNTAX 1.3.6.1.4.1.1466.115.121.1.27 SINGLE-VALUE X-NDS_NAME 'DNIP:SOA Retry' )
"DNIP:SOA Retry" ATTRIBUTE ::=
{
	SyntaxID SYN_INTEGER,
	Flags {DS_SINGLE_VALUED_ATTR,DS_SYNC_IMMEDIATE},
	ASN1ObjID {2 16 840 1 113719 1 25 4 1 55}
}

--attributeTypes: ( 2.16.840.1.113719.1.25.4.1.56 NAME 'dNIPSOASerial' SYNTAX 1.3.6.1.4.1.1466.115.121.1.27 SINGLE-VALUE X-NDS_NAME 'DNIP:SOA Serial' )
"DNIP:SOA Serial" ATTRIBUTE ::=
{
	SyntaxID SYN_INTEGER,
	Flags {DS_SINGLE_VALUED_ATTR,DS_SYNC_IMMEDIATE},
	ASN1ObjID {2 16 840 1 113719 1 25 4 1 56}
}

--attributeTypes: ( 2.16.840.1.113719.1.25.4.1.57 NAME 'dNIPSOAZoneMaster' SYNTAX 1.3.6.1.4.1.1466.115.121.1.15{256} SINGLE-VALUE X-NDS_NAME 'DNIP:SOA Zone Master' X-NDS_LOWER_BOUND '1' )
"DNIP:SOA Zone Master" ATTRIBUTE ::=
{
	SyntaxID SYN_CI_STRING,
	Flags {DS_SINGLE_VALUED_ATTR,DS_SIZED_ATTR,DS_SYNC_IMMEDIATE},
	LowerBound	1,
	UpperBound	256,
	ASN1ObjID {2 16 840 1 113719 1 25 4 1 57}
}

--attributeTypes: ( 2.16.840.1.113719.1.25.4.1.58 NAME 'dNIPSOAAdminMailbox' SYNTAX 1.3.6.1.4.1.1466.115.121.1.15{256} SINGLE-VALUE X-NDS_NAME 'DNIP:SOA Admin Mailbox' X-NDS_LOWER_BOUND '1' )??
"DNIP:SOA Admin Mailbox" ATTRIBUTE ::=
{
	SyntaxID SYN_CI_STRING,
	Flags {DS_SINGLE_VALUED_ATTR,DS_SIZED_ATTR,DS_SYNC_IMMEDIATE},
	LowerBound	1,
	UpperBound	256,
	ASN1ObjID {2 16 840 1 113719 1 25 4 1 58}
}

--attributeTypes: ( 2.16.840.1.113719.1.25.4.1.59 NAME 'dNIPZoneOptions' SYNTAX  1.3.6.1.4.1.1466.115.121.1.27 SINGLE-VALUE X-NDS_NAME 'DNIP:Zone Options' )
"DNIP:Zone Options" ATTRIBUTE ::=
{
	SyntaxID SYN_INTEGER,
	Flags {DS_SINGLE_VALUED_ATTR,DS_SYNC_IMMEDIATE},
	ASN1ObjID {2 16 840 1 113719 1 25 4 1 59}
}

--attributeTypes: ( 2.16.840.1.113719.1.25.4.1.60 NAME 'dNIPZoneDomainName' SYNTAX 1.3.6.1.4.1.1466.115.121.1.15{256} SINGLE-VALUE X-NDS_NAME 'DNIP:Zone Domain Name' X-NDS_LOWER_BOUND '1' )
"DNIP:Zone Domain Name" ATTRIBUTE ::=
{
	SyntaxID SYN_CI_STRING,
	Flags {DS_SINGLE_VALUED_ATTR,DS_SIZED_ATTR,DS_SYNC_IMMEDIATE},
	LowerBound	1,
	UpperBound	256,
	ASN1ObjID {2 16 840 1 113719 1 25 4 1 60}
}

--attributeTypes: ( 2.16.840.1.113719.1.25.4.1.61 NAME 'dNIPDesignatedServer' SYNTAX 1.3.6.1.4.1.1466.115.121.1.12 SINGLE-VALUE X-NDS_NAME 'DNIP:Designated Server' )
"DNIP:Designated Server" ATTRIBUTE ::=
{
	SyntaxID SYN_DIST_NAME, 
	Flags {DS_SINGLE_VALUED_ATTR,DS_SYNC_IMMEDIATE},
	ASN1ObjID {2 16 840 1 113719 1 25 4 1 61}
}

--attributeTypes: ( 2.16.840.1.113719.1.25.4.1.62 NAME 'dNIPZoneServers' SYNTAX 1.3.6.1.4.1.1466.115.121.1.12 X-NDS_NAME 'DNIP:Zone Servers' )
"DNIP:Zone Servers" ATTRIBUTE ::=
{
	SyntaxID SYN_DIST_NAME, 
	Flags {DS_SYNC_IMMEDIATE},
	ASN1ObjID {2 16 840 1 113719 1 25 4 1 62}
}

--attributeTypes: ( 2.16.840.1.113719.1.25.4.1.63 NAME 'dNIPMasterServerIPAddr' SYNTAX 1.3.6.1.4.1.1466.115.121.1.40{64512} SINGLE-VALUE X-NDS_NAME 'DNIP:Master Server IP Addr' )
"DNIP:Master Server IP Addr" ATTRIBUTE ::=
{
	SyntaxID SYN_OCTET_STRING, 
	Flags {DS_SINGLE_VALUED_ATTR,DS_SYNC_IMMEDIATE},
	ASN1ObjID {2 16 840 1 113719 1 25 4 1 63}
}

--attributeTypes: ( 2.16.840.1.113719.1.25.4.1.64 NAME 'dNIPZoneOutFilter' SYNTAX 1.3.6.1.4.1.1466.115.121.1.15{256} X-NDS_NAME 'DNIP:Zone Out Filter' X-NDS_LOWER_BOUND '1' )
"DNIP:Zone Out Filter" ATTRIBUTE ::=
{
	SyntaxID SYN_CI_STRING,
	Flags {DS_SIZED_ATTR,DS_SYNC_IMMEDIATE},
	LowerBound	1,
	UpperBound	256,
	ASN1ObjID {2 16 840 1 113719 1 25 4 1 64}
}

--attributeTypes: ( 2.16.840.1.113719.1.25.4.1.65 NAME 'dNIPSecondaryZone' SYNTAX 1.3.6.1.4.1.1466.115.121.1.7 SINGLE-VALUE X-NDS_NAME 'DNIP:Secondary Zone' )
"DNIP:Secondary Zone" ATTRIBUTE ::=
{
	SyntaxID SYN_BOOLEAN,
	Flags {DS_SINGLE_VALUED_ATTR,DS_SYNC_IMMEDIATE},
	ASN1ObjID {2 16 840 1 113719 1 25 4 1 65}
}

--attributeTypes: ( 2.16.840.1.113719.1.25.4.1.66 NAME 'dNIPZoneType' SYNTAX 1.3.6.1.4.1.1466.115.121.1.27 SINGLE-VALUE X-NDS_NAME 'DNIP:Zone Type' )
"DNIP:Zone Type" ATTRIBUTE ::=
{
	SyntaxID SYN_INTEGER,
	Flags {DS_SINGLE_VALUED_ATTR,DS_SYNC_IMMEDIATE},
	ASN1ObjID {2 16 840 1 113719 1 25 4 1 66}
}

--attributeTypes: ( 2.16.840.1.113719.1.25.4.1.67 NAME 'dNIPRRCount' SYNTAX 1.3.6.1.4.1.1466.115.121.1.27 SINGLE-VALUE X-NDS_NAME 'DNIP:RR Count' )
"DNIP:RR Count" ATTRIBUTE ::=
{
	SyntaxID SYN_INTEGER,
	Flags {DS_SINGLE_VALUED_ATTR,DS_SYNC_IMMEDIATE},
	ASN1ObjID {2 16 840 1 113719 1 25 4 1 67}
}

--attributeTypes: ( 2.16.840.1.113719.1.25.4.1.81 NAME 'dnipUpdateFilter' SYNTAX 1.3.6.1.4.1.1466.115.121.1.15{256} X-NDS_LOWER_BOUND '1' )
"dnipUpdateFilter" ATTRIBUTE ::=
{
	SyntaxID SYN_CI_STRING,
	Flags {DS_SIZED_ATTR,DS_SYNC_IMMEDIATE},
	LowerBound	1,
	UpperBound	256,
	ASN1ObjID {2 16 840 1 113719 1 25 4 1 81}
}

--attributeTypes: ( 2.16.840.1.113719.1.25.4.1.82 NAME 'dnipJournalLog' SYNTAX 1.3.6.1.4.1.1466.115.121.1.40{64512} SINGLE-VALUE )
"dnipJournalLog" ATTRIBUTE ::=
{
	SyntaxID SYN_OCTET_STRING, 
	Flags {DS_SINGLE_VALUED_ATTR,DS_SYNC_IMMEDIATE},
	ASN1ObjID {2 16 840 1 113719 1 25 4 1 82}
}

--attributeTypes: ( 2.16.840.1.113719.1.25.4.1.68 NAME 'dNIPDNSDomainName' SYNTAX 1.3.6.1.4.1.1466.115.121.1.15{256} SINGLE-VALUE X-NDS_NAME 'DNIP:DNS Domain Name' X-NDS_LOWER_BOUND '1' )
"DNIP:DNS Domain Name" ATTRIBUTE ::=
{
	SyntaxID SYN_CI_STRING,
	Flags {DS_SINGLE_VALUED_ATTR,DS_SIZED_ATTR,DS_SYNC_IMMEDIATE},
	LowerBound	1,
	UpperBound	256,
	ASN1ObjID {2 16 840 1 113719 1 25 4 1 68}
}

--attributeTypes: ( 2.16.840.1.113719.1.25.4.1.67 NAME 'dNIPRRCount' SYNTAX 1.3.6.1.4.1.1466.115.121.1.27 SINGLE-VALUE X-NDS_NAME 'DNIP:RR Count' )
"DNIP:RR Count" ATTRIBUTE ::=
{
	SyntaxID SYN_INTEGER,
	Flags {DS_SINGLE_VALUED_ATTR,DS_SYNC_IMMEDIATE},
	ASN1ObjID {2 16 840 1 113719 1 25 4 1 67}
}


--attributeTypes: ( 2.16.840.1.113719.1.25.4.1.69 NAME 'dNIPAliasedObjectName' SYNTAX 1.3.6.1.4.1.1466.115.121.1.12 SINGLE-VALUE X-NDS_NAME 'DNIP:Aliased Object Name' )
"DNIP:Aliased Object Name" ATTRIBUTE ::=
{
	SyntaxID SYN_DIST_NAME, 
	Flags {DS_SINGLE_VALUED_ATTR,DS_SYNC_IMMEDIATE},
	ASN1ObjID {2 16 840 1 113719 1 25 4 1 69}
}

--attributeTypes: ( 2.16.840.1.113719.1.25.4.1.70 NAME 'dNIPRRSetOptions' SYNTAX 1.3.6.1.4.1.1466.115.121.1.27 SINGLE-VALUE X-NDS_NAME 'DNIP:RRSet Options' )
"DNIP:RRSet Options" ATTRIBUTE ::=
{
	SyntaxID SYN_INTEGER,
	Flags {DS_SINGLE_VALUED_ATTR,DS_SYNC_IMMEDIATE},
	ASN1ObjID {2 16 840 1 113719 1 25 4 1 70}
}

--attributeTypes: ( 2.16.840.1.113719.1.25.4.1.71 NAME 'dNIPRR' SYNTAX 1.3.6.1.4.1.1466.115.121.1.40{64512} X-NDS_NAME 'DNIP:RR' )
"DNIP:RR" ATTRIBUTE ::=
{
	SyntaxID SYN_OCTET_STRING, 
	Flags {DS_SYNC_IMMEDIATE},
	ASN1ObjID {2 16 840 1 113719 1 25 4 1 71}
}

--attributeTypes: ( 2.16.840.1.113719.1.25.4.1.72 NAME 'dNIPRRStatus' SYNTAX 1.3.6.1.4.1.1466.115.121.1.27 SINGLE-VALUE X-NDS_NAME 'DNIP:RR Status' )
"DNIP:RR Status" ATTRIBUTE ::=
{
	SyntaxID SYN_INTEGER,
	Flags {DS_SINGLE_VALUED_ATTR,DS_SYNC_IMMEDIATE},
	ASN1ObjID {2 16 840 1 113719 1 25 4 1 72}
}

--attributeTypes: ( 2.16.840.1.113719.1.25.4.1.73 NAME 'dNIPZoneList' SYNTAX 1.3.6.1.4.1.1466.115.121.1.12 X-NDS_NAME 'DNIP:Zone List' )
"DNIP:Zone List" ATTRIBUTE ::=
{
	SyntaxID SYN_DIST_NAME, 
	Flags {DS_SYNC_IMMEDIATE},
	ASN1ObjID {2 16 840 1 113719 1 25 4 1 73}
}

--attributeTypes: ( 2.16.840.1.113719.1.25.4.1.74 NAME 'dNIPServerDN' SYNTAX 1.3.6.1.4.1.1466.115.121.1.12 SINGLE-VALUE X-NDS_NAME 'DNIP:Server DN' )
"DNIP:Server DN" ATTRIBUTE ::=
{
	SyntaxID SYN_DIST_NAME, 
	Flags {DS_SINGLE_VALUED_ATTR,DS_SYNC_IMMEDIATE},
	ASN1ObjID {2 16 840 1 113719 1 25 4 1 74}
}

--attributeTypes: ( 2.16.840.1.113719.1.25.4.1.75 NAME 'dNIPFwdList' SYNTAX 1.3.6.1.4.1.1466.115.121.1.40{64512} SINGLE-VALUE X-NDS_NAME 'DNIP:Fwd List' )
"DNIP:Fwd List" ATTRIBUTE ::=
{
	SyntaxID SYN_OCTET_STRING, 
	Flags {DS_SINGLE_VALUED_ATTR,DS_SYNC_IMMEDIATE},
	ASN1ObjID {2 16 840 1 113719 1 25 4 1 75}
}

--attributeTypes: ( 2.16.840.1.113719.1.25.4.1.76 NAME 'dNIPNoFwdList' SYNTAX 1.3.6.1.4.1.1466.115.121.1.15{256} X-NDS_NAME 'DNIP:NoFwd List' X-NDS_LOWER_BOUND '1' )
"DNIP:NoFwd List" ATTRIBUTE ::=
{
	SyntaxID SYN_CI_STRING,
	Flags {DS_SIZED_ATTR,DS_SYNC_IMMEDIATE},
	LowerBound	1,
	UpperBound	256,
	ASN1ObjID {2 16 840 1 113719 1 25 4 1 76}
}

--attributeTypes: ( 2.16.840.1.113719.1.25.4.1.77 NAME 'dNIPDNSServerOptions' SYNTAX 1.3.6.1.4.1.1466.115.121.1.27 SINGLE-VALUE X-NDS_NAME 'DNIP:DNS Server Options' )
"DNIP:DNS Server Options" ATTRIBUTE ::=
{
	SyntaxID SYN_INTEGER,
	Flags {DS_SINGLE_VALUED_ATTR,DS_SYNC_IMMEDIATE},
	ASN1ObjID {2 16 840 1 113719 1 25 4 1 77}
}

--attributeTypes: ( 2.16.840.1.113719.1.25.4.1.78 NAME 'dNIPServerDNSNames' SYNTAX 1.3.6.1.4.1.1466.115.121.1.15{256} X-NDS_NAME 'DNIP:Server DNS Names' X-NDS_LOWER_BOUND '1' )
"DNIP:Server DNS Names" ATTRIBUTE ::=
{
	SyntaxID SYN_CI_STRING,
	Flags {DS_SIZED_ATTR,DS_SYNC_IMMEDIATE},
	LowerBound	1,
	UpperBound	256,
	ASN1ObjID {2 16 840 1 113719 1 25 4 1 78}
}

--attributeTypes: ( 2.16.840.1.113719.1.25.4.1.79 NAME 'dNIPComment' SYNTAX 1.3.6.1.4.1.1466.115.121.1.26{64512} SINGLE-VALUE X-NDS_NAME 'DNIP:Comment' X-NDS_NOT_SCHED_SYNC_IMMEDIATE '1' )
"DNIP:Comment" ATTRIBUTE ::=
{
	SyntaxID SYN_CE_STRING,
	Flags {DS_SINGLE_VALUED_ATTR},
	ASN1ObjID {2 16 840 1 113719 1 25 4 1 79}
}

--attributeTypes: ( 2.16.840.1.113719.1.25.4.1.83 NAME 'dnipAllowRecursion' SYNTAX 1.3.6.1.4.1.1466.115.121.1.15{256} X-NDS_LOWER_BOUND '1' )
"dnipAllowRecursion" ATTRIBUTE ::=
{
	SyntaxID SYN_CI_STRING,
	Flags {DS_SIZED_ATTR,DS_SYNC_IMMEDIATE},
	LowerBound	1,
	UpperBound	256,
	ASN1ObjID {2 16 840 1 113719 1 25 4 1 83}
}

--attributeTypes: ( 2.16.840.1.113719.1.25.4.1.84 NAME 'dnipQueryFilter' SYNTAX  1.3.6.1.4.1.1466.115.121.1.15{256} X-NDS_LOWER_BOUND '1' )
"dnipQueryFilter" ATTRIBUTE ::=
{
	SyntaxID SYN_CI_STRING,
	Flags {DS_SIZED_ATTR,DS_SYNC_IMMEDIATE},
	LowerBound	1,
	UpperBound	256,
	ASN1ObjID {2 16 840 1 113719 1 25 4 1 84}
}

--attributeTypes: ( 2.16.840.1.113719.1.25.4.1.85 NAME 'dnipBlacklistServers' SYNTAX 1.3.6.1.4.1.1466.115.121.1.40{64512} )
"dnipBlacklistServers" ATTRIBUTE ::=
{
	SyntaxID SYN_OCTET_STRING, 
	Flags {DS_SYNC_IMMEDIATE},
	ASN1ObjID {2 16 840 1 113719 1 25 4 1 85}
}

--attributeTypes: ( 2.16.840.1.113719.1.25.4.1.86 NAME 'dnipAlsoNotify' SYNTAX 1.3.6.1.4.1.1466.115.121.1.40{64512} )
"dnipAlsoNotify" ATTRIBUTE ::=
{
	SyntaxID SYN_OCTET_STRING, 
	Flags {DS_SYNC_IMMEDIATE},
	ASN1ObjID {2 16 840 1 113719 1 25 4 1 86}
}

--attributeTypes: ( 2.16.840.1.113719.1.25.4.1.87 NAME 'dnipMaxRecursionLookups' SYNTAX 1.3.6.1.4.1.1466.115.121.1.27 SINGLE-VALUE )
"dnipMaxRecursionLookups" ATTRIBUTE ::=
{
	SyntaxID SYN_INTEGER,
	Flags {DS_SINGLE_VALUED_ATTR,DS_SYNC_IMMEDIATE},
	ASN1ObjID {2 16 840 1 113719 1 25 4 1 87}
}

--attributeTypes: ( 2.16.840.1.113719.1.25.4.1.88 NAME 'dnipMaxCacheSize' SYNTAX 1.3.6.1.4.1.1466.115.121.1.27 SINGLE-VALUE )
"dnipMaxCacheSize" ATTRIBUTE ::=
{
	SyntaxID SYN_INTEGER,
	Flags {DS_SINGLE_VALUED_ATTR,DS_SYNC_IMMEDIATE},
	ASN1ObjID {2 16 840 1 113719 1 25 4 1 88}
}

--attributeTypes: ( 2.16.840.1.113719.1.25.4.1.89 NAME 'dnipAdditionalOptions' SYNTAX 1.3.6.1.4.1.1466.115.121.1.15{4096} X-NDS_LOWER_BOUND '1' )
"dnipAdditionalOptions" ATTRIBUTE ::=
{
	SyntaxID SYN_CI_STRING,
	Flags {DS_SIZED_ATTR,DS_SYNC_IMMEDIATE},
	LowerBound	1,
	UpperBound	4096,
	ASN1ObjID {2 16 840 1 113719 1 25 4 1 89}
}

--attributeTypes: ( 2.16.840.1.113719.1.25.4.1.90 NAME 'dnipDNSServerVersion' SYNTAX 1.3.6.1.4.1.1466.115.121.1.15{256} X-NDS_LOWER_BOUND '1' )
"dnipDNSServerVersion" ATTRIBUTE ::=
{
	SyntaxID SYN_CI_STRING,
	Flags {DS_SIZED_ATTR,DS_SYNC_IMMEDIATE},
	LowerBound	1,
	UpperBound	256,
	ASN1ObjID {2 16 840 1 113719 1 25 4 1 90}
}

--attributeTypes: ( 2.16.840.1.113719.1.25.4.1.91 NAME 'dnipDHCPServerVersion' SYNTAX 1.3.6.1.4.1.1466.115.121.1.15{256} X-NDS_LOWER_BOUND '1' )
"dnipDHCPServerVersion" ATTRIBUTE ::=
{
	SyntaxID SYN_CI_STRING,
	Flags {DS_SIZED_ATTR,DS_SYNC_IMMEDIATE},
	LowerBound	1,
	UpperBound	256,
	ASN1ObjID {2 16 840 1 113719 1 25 4 1 91}
}

--attributeTypes: ( 2.16.840.1.113719.1.25.4.1.92 NAME 'dnipZoneCategory' SYNTAX 1.3.6.1.4.1.1466.115.121.1.27 SINGLE-VALUE )
"dnipZoneCategory" ATTRIBUTE ::=
{
	SyntaxID SYN_INTEGER,
	Flags {DS_SINGLE_VALUED_ATTR,DS_SYNC_IMMEDIATE},
	ASN1ObjID {2 16 840 1 113719 1 25 4 1 92}
}

--attributeTypes: ( 2.16.840.1.113719.1.25.4.1.93 NAME 'dnipDNSKeyAlgorithm' SYNTAX 1.3.6.1.4.1.1466.115.121.1.15{256} X-NDS_LOWER_BOUND '1' )
"dnipDNSKeyAlgorithm" ATTRIBUTE ::=
{
        SyntaxID SYN_CI_STRING,
        Flags {DS_SIZED_ATTR,DS_SYNC_IMMEDIATE},
        LowerBound      1,
        UpperBound      256,
        ASN1ObjID {2 16 840 1 113719 1 25 4 1 93}
}

--attributeTypes: ( 2.16.840.1.113719.1.25.4.1.94 NAME 'dnipDNSKeySecret' SYNTAX 1.3.6.1.4.1.1466.115.121.1.40{1024} X-NDS_LOWER_BOUND '1' )
"dnipDNSKeySecret" ATTRIBUTE ::=
{
        SyntaxID SYN_OCTET_STRING,
        Flags {DS_SIZED_ATTR,DS_SYNC_IMMEDIATE},
        LowerBound      1,
        UpperBound      1024,
        ASN1ObjID {2 16 840 1 113719 1 25 4 1 94}
}

--attributeTypes: ( 2.16.840.1.113719.1.25.4.1.95 NAME 'dnipUpdatePolicy' SYNTAX 1.3.6.1.4.1.1466.115.121.1.15{4096} X-NDS_LOWER_BOUND '1' )
"dnipUpdatePolicy" ATTRIBUTE ::=
{
	SyntaxID SYN_CI_STRING,
	Flags {DS_SIZED_ATTR,DS_SYNC_IMMEDIATE},
	LowerBound	1,
	UpperBound	4096,
	ASN1ObjID {2 16 840 1 113719 1 25 4 1 95}
}

--attributeTypes: ( 2.16.840.1.113719.1.25.4.1.96 NAME 'dnipDNSKeyList' SYNTAX 1.3.6.1.4.1.1466.115.121.1.12 X-NDS_NAME 'dnipDNSKeyList')
"dnipDNSKeyList" ATTRIBUTE ::=
{
	SyntaxID SYN_DIST_NAME, 
	Flags {DS_SYNC_IMMEDIATE},
	ASN1ObjID {2 16 840 1 113719 1 25 4 1 96}
}

--objectClasses: ( 2.16.840.1.113719.1.25.6.1.1 NAME 'dNIPLocator' SUP Top STRUCTURAL MUST cn MAY ( dNIPDNSServers $ dNIPDHCPServers $ dNIPDNSZones $ dNIPSubnetPoolList $ dNIPSubnetAttr $ dNIPConfigOptions $ dNIPExcludedMAC $ dNIPIncludedMAC $ dNIPUISignature $ dNIPCfgPreferences $ dNIPGroupReference $ dnipDNSKeyList) X-NDS_NAMING 'cn' X-NDS_CONTAINMENT ( 'Top' 'Country' 'Locality' 'Organization' 'organizationalUnit' 'treeRoot' 'domain' ) X-NDS_NAME 'DNIP:Locator' X-NDS_NOT_CONTAINER '1' )
"DNIP:Locator" OBJECT-CLASS ::=
{
	Operation 	ADD,
	Flags	   	{DS_EFFECTIVE_CLASS},
	SubClassOf	{"TOP"},
	ContainedBy	{"Top", "Country", "Locality", "Organization", "Organizational Unit", "Tree Root", "domain"},
	NamedBy		{"CN"},
	MustContain	{"CN"},
	MayContain 	{"DNIP:DNSServers", "DNIP:DHCPServers", "DNIP:DNSZones", "DNIP:Subnet Pool List", "DNIP:Subnet Attr", "DNIP:Config Options", "DNIP:Excluded MAC", "DNIP:Included MAC", "DNIP:UI Signature", "DNIP:CfgPreferences", "DNIP:Group Reference" , "dnipDNSKeyList"},
	ASN1ObjID	 {2 16 840 1 113719 1 25 6 1 1}
}

--objectClasses: ( 2.16.840.1.113719.1.25.6.1.2 NAME 'dNIPSubnet' SUP Top STRUCTURAL MUST ( cn $ dNIPSubnetAddress $ dNIPSubnetMask ) MAY ( dNIPLeaseTime $ dNIPConfigOptions $ dNIPZoneReference $ dNIPDomainName $ dNIPBootParameter $ dNIPSubnetPoolReference $ dNIPSubnetType $ dNIPNewAttrib $ dNIPComment ) X-NDS_NAMING 'cn' X-NDS_CONTAINMENT ( 'Country' 'Locality' 'Organization' 'organizationalUnit' ) X-NDS_NAME 'DNIP:Subnet' )
"DNIP:Subnet" OBJECT-CLASS ::=
{
	Operation 	ADD,
	Flags	   	{DS_EFFECTIVE_CLASS, DS_CONTAINER_CLASS},
	SubClassOf	{"TOP"},
	ContainedBy	{"country", "locality", "organization", "Organizational Unit"},
	NamedBy		{"CN"},
	MustContain	{"CN", "DNIP:Subnet Address", "DNIP:Subnet Mask"},
	MayContain 	{"DNIP:Lease Time", "DNIP:Config Options", "DNIP:Zone Reference", "DNIP:Domain Name", "DNIP:Boot Parameter", "DNIP:Subnet Pool Reference", "DNIP:Subnet Type", "DNIP:New Attrib", "DNIP:Comment" },
	ASN1ObjID	 {2 16 840 1 113719 1 25 6 1 2}
}

--objectClasses: ( 2.16.840.1.113719.1.25.6.1.3 NAME 'dNIPSubnetPool' SUP Top STRUCTURAL MUST ( cn $ dNIPSubnetType ) MAY ( dNIPSubnetAttr $ dNIPComment ) X-NDS_NAMING 'cn' X-NDS_CONTAINMENT ( 'Country' 'Locality' 'Organization' 'organizationalUnit' ) X-NDS_NAME 'DNIP:Subnet Pool' X-NDS_NOT_CONTAINER '1' )
"DNIP:Subnet Pool" OBJECT-CLASS ::=
{
	Operation 	ADD,
	Flags	   	{DS_EFFECTIVE_CLASS},
	SubClassOf	{"TOP"},
	ContainedBy	{"country", "locality", "organization", "Organizational Unit"},
	NamedBy		{"CN"},
	MustContain	{"CN", "DNIP:Subnet Type"},
	MayContain 	{"DNIP:Subnet Attr", "DNIP:Comment"},
	ASN1ObjID	 {2 16 840 1 113719 1 25 6 1 3}
}

--objectClasses: ( 2.16.840.1.113719.1.25.6.1.4 NAME 'dNIPDHCPServer' SUP Top STRUCTURAL MUST ( cn $ dNIPDHCPVersion ) MAY ( dNIPIPAssignmentPolicy $ dNIPPingEnable $ dNIPAuditLevel $ dNIPSNMPTrapFlag $ dNIPSubnetAddressRangeAttr $ dNIPPrimaryServerReference $ dNIPSecondaryServerReference $ dNIPFTUpdateInterval $ dNIPFTAutomatic $ dNIPFTSyncDelay $ dNIPServerIPAddress $ dNIPSecondaryServerIPAddress $ dNIPPublicKey $ dNIPMessageID $ dNIPNewAttrib $ dNIPComment ) X-NDS_NAMING 'cn' X-NDS_CONTAINMENT ( 'Country' 'Locality' 'Organization' 'organizationalUnit' ) X-NDS_NAME 'DNIP:DHCP Server' X-NDS_NOT_CONTAINER '1' )
"DNIP:DHCP Server" OBJECT-CLASS ::=
{
	Operation 	ADD,
	Flags	   	{DS_EFFECTIVE_CLASS},
	SubClassOf	{"TOP"},
	ContainedBy	{"country", "locality", "organization", "Organizational Unit"},
	NamedBy		{"CN"},
	MustContain	{"CN", "DNIP:DHCP Version"},
	MayContain 	{"DNIP:IP Assignment Policy", "DNIP:Ping Enable", "DNIP:AuditLevel", "DNIP:SNMP Trap Flag", "DNIP:Subnet Address Range Attr", "DNIP:Primary Server Reference", "DNIP:Secondary Server Reference", "DNIP:FT Update Interval", "DNIP:FT Automatic", "DNIP:FT Sync Delay", "DNIP:ServerIPAddress", "DNIP:Secondary ServerIPAddress", "DNIP:Public Key", "DNIP:Message ID", "DNIP:New Attrib", "DNIP:Comment"},
	ASN1ObjID	 {2 16 840 1 113719 1 25 6 1 4}
}

--objectClasses: ( 2.16.840.1.113719.1.25.6.1.5 NAME 'dNIPSubnetAddressRange' SUP Top STRUCTURAL MUST ( cn $ dNIPStartAddressNumber $ dNIPEndAddressNumber ) MAY ( dNIPDHCPServerReference $ dNIPDNSUpdateOption $ dNIPRangeType $ dNIPAutoHostNameStart $ dNIPComment ) X-NDS_NAMING 'cn' X-NDS_CONTAINMENT 'dNIPSubnet' X-NDS_NAME 'DNIP:Subnet Address Range' X-NDS_NOT_CONTAINER '1' )
"DNIP:Subnet Address Range" OBJECT-CLASS ::=
{
	Operation 	ADD,
	Flags	   	{DS_EFFECTIVE_CLASS},
	SubClassOf	{"TOP"},
	ContainedBy	{"DNIP:Subnet"},
	NamedBy		{"CN"},
	MustContain	{"CN", "DNIP:Start Address Number", "DNIP:End Address Number"},
	MayContain 	{"DNIP:DHCP Server Reference", "DNIP:DNS Update Option", "DNIP:Range Type", "DNIP:Auto Host Name Start", "DNIP:Comment"},
	ASN1ObjID	 {2 16 840 1 113719 1 25 6 1 5}
}

--objectClasses: ( 2.16.840.1.113719.1.25.6.1.6 NAME 'dNIPIPAddressConfiguration' SUP Top STRUCTURAL MUST ( cn $ dNIPAddressNumber $ dNIPAssignmentType ) MAY ( dNIPLeaseTime $ dNIPConfigOptions $ dNIPHostName $ dNIPLastUsed $ dNIPLeaseExpiration $ dNIPObjectReference $ dNIPMACAddress $ dNIPClientIdentifier $ dNIPFQDomainName $ dNIPBootParameter $ dNIPComment ) X-NDS_NAMING 'cn' X-NDS_CONTAINMENT 'dNIPSubnet' X-NDS_NAME 'DNIP:IP Address Configuration' X-NDS_NOT_CONTAINER '1' )
"DNIP:IP Address Configuration" OBJECT-CLASS ::=
{
	Operation 	ADD,
	Flags	   	{DS_EFFECTIVE_CLASS},
	SubClassOf	{"TOP"},
	ContainedBy	{"DNIP:Subnet"},
	NamedBy		{"CN"},
	MustContain	{"CN", "DNIP:Address Number", "DNIP:Assignment Type"},
	MayContain 	{"DNIP:Lease Time", "DNIP:Config Options", "DNIP:Host Name", "DNIP:Last Used", "DNIP:Lease Expiration", "DNIP:Object Reference", "DNIP:Mac Address", "DNIP:Client Identifier", "DNIP:FQ Domain Name", "DNIP:Boot Parameter", "DNIP:Comment"},
	ASN1ObjID	 {2 16 840 1 113719 1 25 6 1 6}
}

--objectClasses: ( 2.16.840.1.113719.1.25.6.1.7 NAME 'dNIPDNSZone' SUP Top STRUCTURAL MUST ( cn $ dNIPZoneDomainName $ dNIPSecondaryZone $ dNIPSOAZoneMaster $ dNIPSOAAdminMailbox $ dNIPSOAExpire $ dNIPSOAMinimum $ dNIPSOARefresh $ dNIPSOARetry $ dNIPSOASerial ) MAY ( dNIPZoneServers $ dNIPDesignatedServer $ dNIPZoneOptions $ dNIPZoneType $ dNIPMasterServerIPAddr $ dNIPZoneOutFilter $ dNIPRRCount $ description $ dnipQueryFilter $ dNIPFwdList $ dnipAlsoNotify $ dnipUpdateFilter $ dnipJournalLog $ dnipAdditionalOptions $ dnipDNSKeyList) X-NDS_NAMING 'cn' X-NDS_CONTAINMENT ( 'Top' 'Country' 'Locality' 'Organization' 'organizationalUnit' 'treeRoot' 'domain' ) X-NDS_NAME 'DNIP:DNS Zone' )
"DNIP:DNS Zone" OBJECT-CLASS ::=
{
	Operation 	ADD,
	Flags	   	{DS_EFFECTIVE_CLASS, DS_CONTAINER_CLASS},
	SubClassOf	{"TOP"},
	ContainedBy	{"Top", "Country", "Locality", "Organization", "Organizational Unit", "Tree Root", "domain"},
	NamedBy		{"CN"},
	MustContain	{"CN", "DNIP:Zone Domain Name", "DNIP:Secondary Zone", "DNIP:SOA Zone Master", "DNIP:SOA Admin Mailbox", "DNIP:SOA Expire", "DNIP:SOA Minimum", "DNIP:SOA Refresh", "DNIP:SOA Retry", "DNIP:SOA Serial"},
	MayContain 	{"DNIP:Zone Servers", "DNIP:Designated Server", "DNIP:Zone Options", "DNIP:Zone Type", "DNIP:Master Server IP Addr", "DNIP:Zone Out Filter", "DNIP:RR Count", "description", "dnipQueryFilter", "DNIP:Fwd List", "dnipAlsoNotify", "dnipUpdateFilter", "dnipJournalLog", "dnipAdditionalOptions", "dnipZoneCategory" , "dnipUpdatePolicy" , "dnipDNSKeyList"},
	ASN1ObjID	{2 16 840 1 113719 1 25 6 1 7}
}

--objectClasses: ( 2.16.840.1.113719.1.25.6.1.8 NAME 'dNIPDNSRRset' SUP Top STRUCTURAL MUST ( cn $ dNIPDNSDomainName ) MAY ( dNIPRRSetOptions $ dNIPRRStatus $ dNIPRR $ dNIPMACAddress $ dNIPAliasedObjectName $ description ) X-NDS_NAMING 'cn' X-NDS_CONTAINMENT 'dNIPDNSZone' X-NDS_NAME 'DNIP:DNS RRset' X-NDS_NOT_CONTAINER '1' )
"DNIP:DNS RRset" OBJECT-CLASS ::=
{
	Operation 	ADD,
	Flags	   	{DS_EFFECTIVE_CLASS},
	SubClassOf	{"TOP"},
	ContainedBy	{"DNIP:DNS Zone"},
	NamedBy		{"CN"},
	MustContain	{"CN", "DNIP:DNS Domain Name"},
	MayContain 	{"DNIP:RRSet Options", "DNIP:RR Status", "DNIP:RR", "DNIP:MAC Address", "DNIP:Aliased Object Name", "description"},
	ASN1ObjID	 {2 16 840 1 113719 1 25 6 1 8}
}

--objectClasses: ( 2.16.840.1.113719.1.25.6.1.9 NAME 'dNIPDNSServer' SUP Top STRUCTURAL MUST cn MAY ( dNIPServerDN $ dNIPFwdList $ dNIPNoFwdList $ dNIPDNSServerOptions $ dNIPZoneList $ dNIPServerDNSNames $ dNIPServerIPAddress $ dNIPPublicKey $ dNIPMessageID $ dNIPAuditLevel $ dNIPSNMPTrapFlag $ description $ dnipAllowRecursion $ dnipQueryFilter $ dNIPZoneOutFilter $ dnipBlacklistServers $ dnipAlsoNotify $ dnipMaxRecursionLookups $ dnipMaxCacheSize $ dnipAdditionalOptions $ dnipDNSKeyList) X-NDS_NAMING 'cn' X-NDS_CONTAINMENT ( 'Top' 'Country' 'Locality' 'Organization' 'organizationalUnit' 'treeRoot' 'domain' ) X-NDS_NAME 'DNIP:DNS Server' X-NDS_NOT_CONTAINER '1' )
"DNIP:DNS Server" OBJECT-CLASS ::=
{
	Operation	ADD,
	Flags	   	{DS_EFFECTIVE_CLASS},
	SubClassOf	{"TOP"},
	ContainedBy	{"Top", "Country", "Locality", "Organization", "Organizational Unit", "Tree Root", "domain"},
	NamedBy		{"CN"},
	MustContain	{"CN"},
	MayContain 	{"DNIP:Server DN", "DNIP:Fwd List", "DNIP:NoFwd List", "DNIP:DNS Server Options", "DNIP:Zone List", "DNIP:Server DNS Names", "DNIP:ServerIPAddress", "DNIP:Public Key", "DNIP:Message ID", "DNIP:AuditLevel", "DNIP:SNMP Trap Flag", "description", "dnipAllowRecursion", "dnipQueryFilter", "DNIP:Zone Out Filter", "dnipBlacklistServers", "dnipAlsoNotify", "dnipMaxRecursionLookups", "dnipMaxCacheSize", "dnipAdditionalOptions" , "dnipDNSKeyList"},
	ASN1ObjID	 {2 16 840 1 113719 1 25 6 1 9}
}

--objectClasses: ( 2.16.840.1.113719.1.25.6.1.10 NAME 'dnipDNSDHCPServerVersion' AUXILIARY MAY ( dnipDNSServerVersion $ dnipDHCPServerVersion ) X-NDS_NOT_CONTAINER '1' )
"dnipDNSDHCPServerVersion" OBJECT-CLASS ::=
{
	Operation	ADD,
	Flags		{DS_AUXILIARY_CLASS},
	MayContain	{"dnipDNSServerVersion", "dnipDHCPServerVersion"},
	ASN1ObjID	{2 16 840 1 113719 1 25 6 1 10}
}

--objectClasses: ( 2.16.840.1.113719.1.25.6.1.11 NAME 'dNIPDNSKey' SUP Top STRUCTURAL MUST (cn $ dnipDNSKeyAlgorithm $ dnipDNSKeySecret) MAY (dNIPComment $ DNIP:DNSZones $ DNIP:DNSServers) X-NDS_NAMING 'cn' X-NDS_CONTAINMENT ( 'Top' 'Country' 'Locality' 'Organization' 'organizationalUnit' 'treeRoot' 'domain' ) X-NDS_NAME 'DNIP:DNS Key' X-NDS_NOT_CONTAINER '1' )
"DNIP:DNS Key" OBJECT-CLASS ::=
{
	Operation 	ADD,
	Flags	   	{DS_EFFECTIVE_CLASS},
	SubClassOf	{"TOP"},
	ContainedBy	{"Top", "Country", "Locality", "Organization", "Organizational Unit", "Tree Root", "domain"},
	NamedBy		{"CN"},
	MustContain	{"CN", "dnipDNSKeyAlgorithm", "dnipDNSKeySecret"},
	MayContain 	{"DNIP:Comment", "DNIP:DNSServers", "DNIP:DNSZones"},
	ASN1ObjID	{2 16 840 1 113719 1 25 6 1 11}
}

-- Modification of Existing Classes
"NCP Server" OBJECT-CLASS ::=
{
	Operation       MODIFY,
	MayContain     {"DNIP:LocatorPtr", "DNIP:DHCP Server Reference", "DNIP:DNS Server Reference"}
}


END
